%global srcname xmlrunner

Name:           python-%{srcname}
Version:        1.7.7
Release:        3%{?dist}
Summary:        unittest-based test runner with Ant/JUnit like XML reporting

License:        LGPLv3
URL:            https://github.com/pycontribs/%{srcname}
Source0:        https://github.com/pycontribs/%{srcname}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch


%description
xmlrunner is a unittest test runner that can save test results to XML files
that can be consumed by a wide range of tools, such as build systems, IDEs
and continuous integration servers.

%package -n python2-%{srcname}
Summary:        %{summary}
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  pytest
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
xmlrunner is a unittest test runner that can save test results to XML files
that can be consumed by a wide range of tools, such as build systems, IDEs
and continuous integration servers.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pytest
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
xmlrunner is a unittest test runner that can save test results to XML files
that can be consumed by a wide range of tools, such as build systems, IDEs
and continuous integration servers.


%prep
%setup -q -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
sed -i '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python2_sitelib}/%{srcname}/__init__.py
%py3_install
sed -i '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python3_sitelib}/%{srcname}/__init__.py

%check
#Fails, doesn't look like upstream runs it either
#py.test-%{python2_version} --ignore=setup.py --tb=long -rsxX -v --junitxml=reports xmlrunner
#py.test-%{python3_version} --ignore=setup.py --tb=long -rsxX -v --junitxml=reports xmlrunner


%files -n python2-%{srcname}
%license LICENSE
%doc README.markdown
%{python2_sitelib}/%{srcname}*

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.markdown
%{python3_sitelib}/%{srcname}*


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Nov 21 2017 Orion Poplawski <orion@cora.nwra.com> - 1.7.7-2
- Fix license
- Remove shbang

* Wed Mar 8 2017 Orion Poplawski <orion@cora.nwra.com> - 1.7.7-1
- Initial package
